
#include "basegui.h"
#include <qpoint.h>

class QLabel;
class QToolBar;
class TimeSlider;
class MySlider;
class QPushButton;
class QResizeEvent;
class QDockWindow;

class DefaultGui : public BaseGui
{
	Q_OBJECT

public:

	DefaultGui( QString file = "", QWidget* parent = 0, const char* name = 0, 
                WFlags fl = WType_TopLevel );
	~DefaultGui();

public slots:
	virtual void showPlaylist(bool b);

protected:
	void createStatusBar();
	void createMainToolBars();
	void createControlWidget();
	void createControlWidgetMini();

    virtual void aboutToEnterFullscreen();
    virtual void aboutToExitFullscreen();
    virtual void aboutToEnterCompactMode();
    virtual void aboutToExitCompactMode();

	virtual void resizeEvent( QResizeEvent * );

protected slots:
	virtual void languageChange();

	virtual void updateWidgets();
	virtual void displayTime(double sec, int perc, QString text);
	virtual void displayFrame(int frame);

	virtual void showFloatingControl(QPoint p);
	virtual void showFloatingMenu(QPoint p);
	virtual void hideFloatingControls();

protected:
	QLabel * time_display;
	QLabel * frame_display;

	QDockWindow * playlistdock;

	QToolBar * controlwidget;
	QToolBar * controlwidget_mini;

	QToolBar * toolbar1;
	QToolBar * toolbar2;

	QPushButton * select_audio;
	QPushButton * select_subtitle;

	TimeSlider * timeslider;
	TimeSlider * timeslider_mini;

	MySlider * volumeslider;
	MySlider * volumeslider_mini;

	int last_second;
};

